# Uses of Class
java.io.PrintStream

Packages that use PrintStream
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.spi
Service provider classes for the classes in the java.util package.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.
jdk.jshell.tool
Provides a mechanism to launch an instance of a Java shell tool.

- ## Uses of PrintStream in java.awt

  Methods in java.awt with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  Component.`list(PrintStream out)`
  Prints a listing of this component to the specified output stream.
  `void`
  Component.`list(PrintStream out, int indent)`
  Prints out a list, starting at the specified indentation, to the specified print stream.
  `void`
  Container.`list(PrintStream out, int indent)`
  Prints a listing of this container to the specified output stream.

- ## Uses of PrintStream in java.io

  Methods in java.io that return PrintStream
  Modifier and Type
  Method
  Description
  `PrintStream`
  PrintStream.`append(char c)`
  Appends the specified character to this output stream.
  `PrintStream`
  PrintStream.`append(CharSequence csq)`
  Appends the specified character sequence to this output stream.
  `PrintStream`
  PrintStream.`append(CharSequence csq, int start, int end)`
  Appends a subsequence of the specified character sequence to this output stream.
  `PrintStream`
  PrintStream.`format(String format, Object... args)`
  Writes a formatted string to this output stream using the specified format string and arguments.
  `PrintStream`
  PrintStream.`format(Locale l, String format, Object... args)`
  Writes a formatted string to this output stream using the specified format string and arguments.
  `PrintStream`
  PrintStream.`printf(String format, Object... args)`
  A convenience method to write a formatted string to this output stream using the specified format string and arguments.
  `PrintStream`
  PrintStream.`printf(Locale l, String format, Object... args)`
  A convenience method to write a formatted string to this output stream using the specified format string and arguments.

- ## Uses of PrintStream in java.lang

  Fields in java.lang declared as PrintStream
  Modifier and Type
  Field
  Description
  `static final PrintStream`
  System.`err`
  The "standard" error output stream.
  `static final PrintStream`
  System.`out`
  The "standard" output stream.
  Methods in java.lang with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  Throwable.`printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `static void`
  System.`setErr(PrintStream err)`
  Reassigns the "standard" error output stream.
  `static void`
  System.`setOut(PrintStream out)`
  Reassigns the "standard" output stream.

- ## Uses of PrintStream in java.rmi.server

  Subclasses of PrintStream in java.rmi.server
  Modifier and Type
  Class
  Description
  `class`
  `LogStream`
  Deprecated.
  no replacement
  Methods in java.rmi.server that return PrintStream
  Modifier and Type
  Method
  Description
  `static PrintStream`
  LogStream.`getDefaultStream()`
  Deprecated.
  no replacement
  `static PrintStream`
  RemoteServer.`getLog()`
  Returns stream for the RMI call log.
  Methods in java.rmi.server with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `static void`
  LogStream.`setDefaultStream(PrintStream newDefault)`
  Deprecated.
  no replacement

- ## Uses of PrintStream in java.sql

  Methods in java.sql that return PrintStream
  Modifier and Type
  Method
  Description
  `static PrintStream`
  DriverManager.`getLogStream()`
  Deprecated.
  Use `getLogWriter`
  Methods in java.sql with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `static void`
  DriverManager.`setLogStream(PrintStream out)`
  Deprecated.
  Use `setLogWriter`

- ## Uses of PrintStream in java.util

  Methods in java.util with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  Properties.`list(PrintStream out)`
  Prints this property list out to the specified output stream.
  Constructors in java.util with parameters of type PrintStream
  Modifier
  Constructor
  Description
  ``
  `Formatter(PrintStream ps)`
  Constructs a new formatter with the specified print stream.

- ## Uses of PrintStream in java.util.spi

  Methods in java.util.spi with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `default int`
  ToolProvider.`run(PrintStream out, PrintStream err, String... args)`
  Runs an instance of the tool, returning zero for a successful run.

- ## Uses of PrintStream in javax.swing

  Methods in javax.swing that return PrintStream
  Modifier and Type
  Method
  Description
  `static PrintStream`
  DebugGraphics.`logStream()`
  Returns the stream to which the DebugGraphics logs drawing operations.
  Methods in javax.swing with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `static void`
  DebugGraphics.`setLogStream(PrintStream stream)`
  Sets the stream to which the DebugGraphics logs drawing operations.

- ## Uses of PrintStream in javax.swing.text

  Methods in javax.swing.text with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  AbstractDocument.AbstractElement.`dump(PrintStream psOut, int indentAmount)`
  Dumps a debugging representation of the element hierarchy.
  `void`
  AbstractDocument.`dump(PrintStream out)`
  Gives a diagnostic dump.

- ## Uses of PrintStream in javax.xml.crypto

  Methods in javax.xml.crypto with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  KeySelectorException.`printStackTrace(PrintStream s)`
  Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print stream.
  `void`
  MarshalException.`printStackTrace(PrintStream s)`
  Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print stream.
  `void`
  NoSuchMechanismException.`printStackTrace(PrintStream s)`
  Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print stream.
  `void`
  URIReferenceException.`printStackTrace(PrintStream s)`
  Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print stream.

- ## Uses of PrintStream in javax.xml.crypto.dsig

  Methods in javax.xml.crypto.dsig with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  TransformException.`printStackTrace(PrintStream s)`
  Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print stream.
  `void`
  XMLSignatureException.`printStackTrace(PrintStream s)`
  Prints this `XMLSignatureException`, its backtrace and the cause's backtrace to the specified print stream.

- ## Uses of PrintStream in javax.xml.transform

  Methods in javax.xml.transform with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  TransformerException.`printStackTrace(PrintStream s)`
  Print the trace of methods from where the error originated.

- ## Uses of PrintStream in javax.xml.xpath

  Methods in javax.xml.xpath with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `void`
  XPathException.`printStackTrace(PrintStream s)`
  Print stack trace to specified `PrintStream`.

- ## Uses of PrintStream in jdk.jshell

  Methods in jdk.jshell with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `JShell.Builder`
  JShell.Builder.`err(PrintStream err)`
  Sets the error output for the running evaluation (it's `System.err`).
  `JShell.Builder`
  JShell.Builder.`out(PrintStream out)`
  Sets the output for the running evaluation (it's `System.out`).

- ## Uses of PrintStream in jdk.jshell.spi

  Methods in jdk.jshell.spi that return PrintStream
  Modifier and Type
  Method
  Description
  `PrintStream`
  ExecutionEnv.`userErr()`
  Returns the user's error stream.
  `PrintStream`
  ExecutionEnv.`userOut()`
  Returns the user's output stream.

- ## Uses of PrintStream in jdk.jshell.tool

  Methods in jdk.jshell.tool with parameters of type PrintStream
  Modifier and Type
  Method
  Description
  `JavaShellToolBuilder`
  JavaShellToolBuilder.`err(PrintStream error)`
  Set the error channels.
  `JavaShellToolBuilder`
  JavaShellToolBuilder.`err(PrintStream cmdErr, PrintStream userErr)`
  Set the error channels.
  `JavaShellToolBuilder`
  JavaShellToolBuilder.`out(PrintStream output)`
  Set the output channels.
  `JavaShellToolBuilder`
  JavaShellToolBuilder.`out(PrintStream cmdOut, PrintStream console, PrintStream userOut)`
  Set the output channels.